%define debug_package	%{nil} 
%define rel		1
%define	_prefix		/usr/local

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 6
%global         with_python2 1
%endif

Name:		libewf-experimental
Version:	20200405
Release:	%{rel}%{?dist}
Summary:	Library to support the Expert Witness Compression Format (EWF)
Group:		System Environment/Libraries
License:	LGPL
URL:		https://github.com/libyal/libewf/wiki
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	zlib
BuildRequires:	zlib-devel
BuildRequires:  fuse-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig
BuildRequires:	flex
BuildRequires:	byacc
BuildRequires:	git
BuildRequires:	bzip2-devel
BuildRequires:	gcc-c++

%description
libewf is a library to support the Expert Witness Compression Format (EWF).
libewf allows you to read media information of EWF files in the SMART (EWF-S01)
format and the EnCase (EWF-E01) format. libewf allows to read files created by
EnCase 1 to 6, linen and FTK Imager.

%package	devel
Summary:	Header files and libraries for developing applications for libewf
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description	devel
Header		files and libraries for developing applications for libewf.

%package	tools
Summary:	Several tools for reading and writing EWF files
Group:		Applications/System
Requires:	%{name} = %{version}
Requires:	openssl
BuildRequires:	flex byacc openssl-devel 
Requires:	libuuid
BuildRequires:	libuuid-devel 
Provides:	ewftools = %{version}

%description	tools
Several tools for reading and writing EWF files.
It contains tools to acquire, export, query and verify EWF files.

%if 0%{?with_python2}
%package python2
Summary: Python bindings for libewf
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: %(basename %{__python})-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python bindings for libewf
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libewf
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libewf
%endif

%prep
%setup -q -n libewf-experimental-%{version}

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --without-libbfio %{?with_python2:--enable-python} %{?with_python3:--enable-python3} --with-bzip2 \

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

################################################################
# End of renames
################################################################

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libewf.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/ewf*
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

### Exclude expirimental files ###
%exclude %{_bindir}/ewfdebug

%changelog
* Sun Apr  5 2020 Lawrence R. Rogers <lrr@cert.org> 20200405-1
* Release 20200405-1
	This is an experimental version of Libewf which will be placed in the testing repository.
